<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\DataFixtures\ORM;

use Chill\MainBundle\Entity\Location;
use Chill\MainBundle\Entity\LocationType;
use Doctrine\Common\DataFixtures\AbstractFixture;
use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Persistence\ObjectManager;

class LoadAdministrativeLocation extends AbstractFixture implements OrderedFixtureInterface
{
    final public const ADMINISTRATIVE_LOCATION = 'administrative_location';

    public function getOrder(): int
    {
        return 9000;
    }

    public function load(ObjectManager $manager): void
    {
        $o = new Location();
        /** @var LocationType $locationType */
        $locationType = $this->getReference(LoadLocationType::LOCATION_TYPE.'_0');
        $o->setLocationType($locationType);
        $o->setName('Commune de Bruxelles');
        $o->setAvailableForUsers(true);

        $manager->persist($o);

        $this->addReference(self::ADMINISTRATIVE_LOCATION, $o);
        echo "Adding one Administrative Location\n";

        $manager->flush();
    }
}
